Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class JavadocOptionFile

    java.lang.Object
      org.gradle.external.javadoc.optionfile.JavadocOptionFile

    public class JavadocOptionFile

extends java.lang.Object

Constructor Summary
`JavadocOptionFile()`

Method Summary
`JavadocOptionFileOption<java.lang.Boolean>` | `addBooleanOption(java.lang.String option)`
`JavadocOptionFileOption<java.lang.Boolean>` | `addBooleanOption(java.lang.String option, boolean value)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(java.lang.String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addEnumOption(java.lang.String option, T value)`
`JavadocOptionFileOption<java.io.File>` | `addFileOption(java.lang.String option)`
`JavadocOptionFileOption<java.io.File>` | `addFileOption(java.lang.String option, java.io.File value)`
`JavadocOptionFileOption<java.util.List<java.lang.String>>` | `addMultilineStringsOption(java.lang.String option)`
`
`<T> JavadocOptionFileOption<T>`
` | `addOption(JavadocOptionFileOption<T> option)`
`JavadocOptionFileOption<java.util.List<java.io.File>>` | `addPathOption(java.lang.String option)`
`JavadocOptionFileOption<java.util.List<java.io.File>>` | `addPathOption(java.lang.String option, java.lang.String joinBy)`
`JavadocOptionFileOption<java.lang.String>` | `addStringOption(java.lang.String option)`
`JavadocOptionFileOption<java.lang.String>` | `addStringOption(java.lang.String option, java.lang.String value)`
`JavadocOptionFileOption<java.util.List<java.lang.String>>` | `addStringsOption(java.lang.String option)`
`JavadocOptionFileOption<java.util.List<java.lang.String>>` | `addStringsOption(java.lang.String option, java.lang.String joinBy)`
`OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>` | `getPackageNames()`
`OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>` | `getSourceNames()`
`void` | `write(java.io.File optionFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocOptionFile

    public JavadocOptionFile()

Method Detail

### getPackageNames

    public OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>> getPackageNames()

### getSourceNames

    public OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>> getSourceNames()

### addOption

    public <T> JavadocOptionFileOption<T> addOption(JavadocOptionFileOption<T> option)

### addStringOption

    public JavadocOptionFileOption<java.lang.String> addStringOption(java.lang.String option)

### addStringOption

    public JavadocOptionFileOption<java.lang.String> addStringOption(java.lang.String option,
                                                                     java.lang.String value)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(java.lang.String option)

### addEnumOption

    public <T> JavadocOptionFileOption<T> addEnumOption(java.lang.String option,
                                                        T value)

### addPathOption

    public JavadocOptionFileOption<java.util.List<java.io.File>> addPathOption(java.lang.String option)

### addPathOption

    public JavadocOptionFileOption<java.util.List<java.io.File>> addPathOption(java.lang.String option,
                                                                               java.lang.String joinBy)

### addStringsOption

    public JavadocOptionFileOption<java.util.List<java.lang.String>> addStringsOption(java.lang.String option)

### addStringsOption

    public JavadocOptionFileOption<java.util.List<java.lang.String>> addStringsOption(java.lang.String option,
                                                                                      java.lang.String joinBy)

### addMultilineStringsOption

    public JavadocOptionFileOption<java.util.List<java.lang.String>> addMultilineStringsOption(java.lang.String option)

### addBooleanOption

    public JavadocOptionFileOption<java.lang.Boolean> addBooleanOption(java.lang.String option)

### addBooleanOption

    public JavadocOptionFileOption<java.lang.Boolean> addBooleanOption(java.lang.String option,
                                                                       boolean value)

### addFileOption

    public JavadocOptionFileOption<java.io.File> addFileOption(java.lang.String option)

### addFileOption

    public JavadocOptionFileOption<java.io.File> addFileOption(java.lang.String option,
                                                               java.io.File value)

### write

    public void write(java.io.File optionFile)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD